PQtypesRegister(3)

NAME
PQtypesRegister - Registers libpqtypes with the libpq event system.

SYNOPSIS

#include <libpqtypes.h>

int PQtypesRegister(PGconn *conn);

DEPRECATED

THIS FUNCTION IS DEPRECATED. New applications should use PQinitTypes. This function is now a wrapper to PQinitTypes.

DESCRIPTION

libpqtypes makes use of the libpq Event System. Before using libpqtypes, you must register libpqtypes as a libpq EventProc. The function takes a PGconn that libpqtypes will be registered with; each PGconn requires its own registration.

RETURN VALUE

The function returns zero if it fails and non-zero if it succeeds.

EXAMPLES

  Registering libpqtypes
The examples shows how to register libpqtypes with the libpq event system.

    /* call prior to any other libpqtypes functions that operate on conn. */
    PQtypesRegister(conn);

AUTHOR

A contribution of eSilo, LLC. for the PostgreSQL Database Management System. Written by Andrew Chernow and Merlin Moncure.

REPORTING BUGS

Report bugs to <libpqtypes@esilo.com>.

COPYRIGHT

Copyright (c) 2011 eSilo, LLC. All rights reserved.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO

None